Results 1 to 1 of 1

Thread: 5.0.3 has been pulled for now.

  1. #1
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Exclamation 5.0.3 has been pulled for now.

    Hi,
    5.0.3 has been pulled due to a problem with an upgrade script that can cause upgrades to fail.

    We hope to have a new build out once we're sure we have the issue fixed.

    Symptom:
    It was discovered last night that in certain upgrades to 5.0.3, if a user is using external IMAP Sync, the upgrade can fail with:
    Code:
    ERROR 1242 (21000) at line 4: Subquery returns more than 1 row
    (DATE): Error while running '/opt/zimbra/bin/mysql
    Cause:
    Missing mailbox_id contraint in where clause in the migration script.

    The problem happens when two users in the same mailboxgroup have external IMAP accounts set up. We have a max of 100 mailbox groups. In other words, customers with over 100 users on the same mailbox server will have a potential running into this problem.

    Solution 1
    : If you have already successfully upgraded, then there is no danger to your system. You may continue to use your Zimbra server. When Zimbra issues an update, you will not need to update to this patch, although we recommend it.

    Solution 2: If you have upgraded, but the upgrade has failed, please restore to your backup version of Zimbra. Zimbra Network Edition Customers can contact Zimbra support. Open Source edition users, feel free to post, and Moderators and employees with help with your restoration.

    Reference:
    Bug 26220 - Upgrade failure if some people use external IMAP sync

    If you have not yet upgraded, please do not do so.

    We will update this thread as need.

    -The Zimbra Team

    --------
    UPDATE:

    I. Description

    migrate20080130-ImapFlags.pl will fail if users who use IMAP sync fall into the same mailboxgroup.

    II. Symtpom

    Upgrade fails with:

    ERROR 1242 (21000) at line 4: Subquery returns more than 1 row (DATE): Error while running '/opt/zimbra/bin/mysql

    III. Cause

    Missing mailbox_id contraint in where clause in the migration script.

    IV. Solution

    If you have already successfully upgraded, then there is no danger to your system. You may continue to use your Zimbra server. When Zimbra issues an update, you will not need to update to this patch, although we recommend it.

    If your upgrade failed, run the fiximapFlags.pl repair script.

    Steps to run repair script

    ****WARNING*******
    Do not run this script currently running 5.0.2 or prior!
    Run this only on 5.0.3 if the upgrade failed
    http://files.zimbra.com/downloads/5....ixImapFlags.pl

    Scenario
    1) Aborted 5.0.3 upgrade
    a) download script, place it under /opt/zimbra/libexec/scripts; user zimbra needs to have execute ownership
    b) make sure mysql is running
    c) run the script as user zimbra; verify that schema version is bumped from 50 to 51 by looking at /opt/zimbra/log/sqlMigration.log
    d) zmcontrol stop
    e) resume upgrade process by running /opt/zimbra/libexec/zmsetup.pl

    2) Currently running 5.0.3 after some manual workaround
    The database can be in inconsistent state. The script will repire that.
    Steps
    1) Get the script and place it under /opt/zimbra/libexec/script
    2) Make sure zimbra has execute permission for that script
    3) Verify that mysql is up and running
    4) Run the script as user zimbra
    Last edited by mmorse; 03-22-2008 at 12:02 AM.

Similar Threads

  1. Exchange External Free/Busy Beta feature in 5.0.3
    By digitaldan in forum Administrators
    Replies: 5
    Last Post: 04-07-2008, 01:21 PM
  2. admin consol blank after 5.0.3 upgarde
    By maumar in forum Administrators
    Replies: 6
    Last Post: 03-21-2008, 06:16 AM
  3. 5.0.3/.4 is out!!!
    By mmorse in forum Announcements
    Replies: 0
    Last Post: 03-20-2008, 05:20 PM
  4. Zimbra 5.0.3
    By danny.sierra@omtech.net in forum Installation
    Replies: 2
    Last Post: 02-19-2008, 04:53 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •